Summary:        Perl module to resolve POD escape sequences
Name:           perl-Pod-Escapes
Version:        1.07_01
Release:        1%{?dist}
License:        GPL+ or Artistic
URL:            https://metacpan.org/dist/Pod-Escapes
Source0:        https://cpan.metacpan.org/authors/id/N/NE/NEILB/Pod-Escapes-%{version}.tar.gz

BuildRequires:   make perl-interpreter perl-generators perl(ExtUtils::MakeMaker)
BuildRequires:   perl(strict) perl(Exporter) perl(vars) perl(warnings)
# Tests:
BuildRequires:   perl(Test) perl(utf8) perl(Test::More)

BuildArch:       noarch

%description
This module provides things that are useful in decoding Pod E<...> 
sequences. Presumably, it should be used only by Pod parsers and/or 
formatters.


%prep
%autosetup -n Pod-Escapes-%{version}


%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
%make_build

%install
make pure_install DESTDIR=%{buildroot}
%{_fixperms} -c %{buildroot}


%check
make test


%files
%doc README Changes
%{perl_vendorlib}/Pod/
%{_mandir}/man3/*.3pm.gz


%changelog
* Wed Dec 20 2023 Upgrade Robot <upbot@opencloudos.org> - 1.07_01-1
- Upgrade to version 1.07_01

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.07-5
- Rebuilt for OpenCloudOS Stream 23.09

* Thu Aug 17 2023 Xiaojie Chen <jackxjchen@tencent.com> - 1.07-4
- Remove perl(:MODULE_COMPAT) which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.07-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.07-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Jul 25 2022 doriscchao <doriscchao@tencent.com> - 1.07-1
- initial build, Version 1.07, Release 1
